Skip to main content
GET
/
api
/
midnight
/
{network}
/
transactions
/
{txHash}
/
utxos
Get the unshielded-UTXO view of a Midnight transaction (created and spent unshielded outputs, with per-UTXO DUST-generation status)
curl --request GET \
  --url https://nexus.gerowallet.io/api/midnight/{network}/transactions/{txHash}/utxos \
  --header 'Authorization: Bearer <token>'
{
  "tx_hash": "<string>",
  "created_outputs": [
    {
      "owner": "<string>",
      "token_type": "<string>",
      "value": "<string>",
      "intent_hash": "<string>",
      "output_index": 123,
      "ctime": 123,
      "initial_nonce": "<string>",
      "registered_for_dust_generation": true
    }
  ],
  "spent_outputs": [
    {
      "owner": "<string>",
      "token_type": "<string>",
      "value": "<string>",
      "intent_hash": "<string>",
      "output_index": 123,
      "ctime": 123,
      "initial_nonce": "<string>",
      "registered_for_dust_generation": true
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

network
string
required
txHash
string
required

Response

200 - */*

OK

tx_hash
string
created_outputs
object[]
spent_outputs
object[]